Bug 60713 - general protection fault at apmd start
general protection fault at apmd start
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-05 03:46 EST by Need Real Name
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 21:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-05 03:46:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
At system startup or "service apmd start" I get a GPF.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Get laptop Dell Inspiron 2500
2.RedHat 7.2 w/ all updates (as March 5, 2002), kernel 2.4.9-31
3.start-up with apmd enabled or "service apmd start"
	

Actual Results:  
[root@ics-14 root]# service apmd start
Starting up APM daemon: general protection fault: e990
Kernel 2.4.9-31
CPU:    0
EIP:    0050:[<00002ffc>]    Tainted: P
EFLAGS: 00010046
EIP is at Using_Versions [] 0x2ffb
eax: 00000296   ebx: 00000001   ecx: 00000000   edx: 00000000
esi: c0231b77   edi: 00000014   ebp: c4e07e7c   esp: c4e07e74
ds: 0058   es: 0000   ss: 0018
Process apmd (pid: 11909, stackpage=c4e07000)
Stack: 5309518e 00007e7c 00000058 1b770296 7e900050 00000001 530a0000 00000016
       00485359 cfe20000 c4e07ef4 c0110a43 00000010 c4e07ef4 00000296 c9130018
       00000018 00000000 cfe20000 c4e07f2e c0231b77 ffffffff c4999000 c0110c4f
Call Trace: [<c0110a43>] apm_bios_call [kernel] 0x43
[<c0231b77>] .rodata.str1.1 [kernel] 0x5cb2
[<c0110c4f>] apm_get_power_status [kernel] 0x3f
[<c0111916>] apm_get_info [kernel] 0x46
[<c0153be5>] proc_file_read [kernel] 0xa5
[<c01367c6>] sys_read [kernel] 0x96
[<c0106f3b>] system_call [kernel] 0x33


Code:  Bad EIP value.
                                                           [FAILED]
[root@ics-14 root]#

Expected Results:  
[root@ics-14 root]# service apmd start
Starting up APM daemon:                            [   OK   ]
[root@ics-14 root]#


Additional info:
Comment 1 Bernhard Rosenkraenzer 2002-03-05 06:24:42 EST
This is almost certainly a bug in your BIOS. 
Assigning to kernel so we can blacklist it. 
Comment 2 Arjan van de Ven 2002-03-05 06:32:42 EST
0050:[<00002ffc>]
definitly a bios bug.
Can you please do the following:
wget http://people.redhat.com/arjanv/dmidecode.c
gcc dmidecode.c -o dmidecode
./dmidecode | less
<check the output>
./dmidecode | mail -s "borked apm" hardwarebugs-list@redhat.com

(the last step sends me an email with your bios info, please check if you are
comfortable about sending this info in the step before that)
Comment 3 Alan Cox 2003-06-07 21:57:50 EDT
Closing : BIOS issue

Note You need to log in before you can comment on or make changes to this bug.